<template>
  <CheckboxBorderedLabel
      for="showCurrentEvents"
      :text="t('ongoing_events_label')"
  >
    <input
        type="checkbox"
        id="showCurrentEvents"
        name="showCurrentEvents"
        :checked="currentSettings.showCurrentEvents"
    />
  </CheckboxBorderedLabel>
</template>

<script>
module.exports = {
  name: "calendar-week-overview",
  props: {
    currentSettings: {
      type: Object,
      required: true
    },
    locale: {
      type: String,
      required: true
    }
  },
  locales: {
    enGb: {
      ongoing_events_label: "show ongoing events"
    },
    deDe: {
      ongoing_events_label: "Laufende Termine anzeigen"
    },
    frFr: {
      ongoing_events_label: "afficher les dates d'exécution"
    },
    esEs: {
      ongoing_events_label: "mostrar las fechas de ejecución"
    },
    plPl: {
      ongoing_events_label: "pokaż daty rozpoczęcia biegu"
    },
    koKr: {
      ongoing_events_label: "진행중인 이벤트를 보여"
    }
  }
};
</script>

